#ifndef CR0_H_
#define CR0_H_

namespace driver {
	class CCr0 {
	public:
		/*
		 * コンストラクタ
		 */
		CCr0();
		
		/*
		 * int型代入
		 */
		CCr0& operator =(dword cr);
		
		/*
		 * 演算代入関数
		 */
		CCr0& operator |=(dword val);
		CCr0& operator &=(dword val);
		
		/*
		 * int型への変換演算子
		 */
		operator dword() const;
	};
	
	extern CCr0 cr0;
}

#endif /*CR0_H_*/
